Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 573074 - <www-client/firefox{,-bin}-{38.6.0,44.0} <mail-client/thunderbird{,-bin}-38.6.0: multiple vulnerabilities (CVE-2016-{1930,1931,1933,1935,1937,1938,1939,1940,1941,1942,1943,1944,1945,1946,1947,1948,1949})
Summary: <www-client/firefox{,-bin}-{38.6.0,44.0} <mail-client/thunderbird{,-bin}-38.6...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Security
URL: https://www.mozilla.org/en-US/securit...
Whiteboard: A2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-27 05:10 UTC by Nikolay Edigaryev
Modified: 2016-05-31 05:55 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Agostino Sarubbo gentoo-dev 2016-01-27 08:35:39 UTC
Thanks for the report.
Comment 2 Ian Stakenvicius gentoo-dev 2016-01-29 05:04:23 UTC
Firefox and firefox-bin ebuilds have been committed.

Thunderbird-38.6 will eventually be released upstream to resolve many of the vuln's listed here for that package too; how about we not wait?

Arches, please stabilize:

=www-client/firefox-bin-38.6.0 Stable KEYWORDS="amd64 x86"

=www-client/firefox-38.6.0 Stable KEYWORDS="amd64 hppa ppc ppc64 x86"

Note that i *think* order of stabilization should not matter here between www-client/firefox-38.6.0 and dev-libs/nss-3.21-r2, however if arches would like to err on the side of caution please feel free to hold back until stabilizaions in bug 571086 have occurred.
Comment 3 Jeroen Roovers gentoo-dev 2016-01-30 07:52:14 UTC
Stable for HPPA.
Comment 4 Jeroen Roovers gentoo-dev 2016-01-31 10:05:36 UTC
Stable for PPC64.
Comment 5 Agostino Sarubbo gentoo-dev 2016-01-31 11:10:28 UTC
amd64 stable
Comment 6 Agostino Sarubbo gentoo-dev 2016-01-31 11:11:36 UTC
x86 stable
Comment 7 Ian Stakenvicius gentoo-dev 2016-02-17 04:08:32 UTC
mail-client/thunderbird{,-bin}-38.6.0 has been added to the gentoo repo.  The specific MFSA list for thunderbird is as follows -- there is some overlap, which is why I'm adding to this bug instead of filing a new one:

https://www.mozilla.org/en-US/security/advisories/mfsa2016-14/
https://www.mozilla.org/en-US/security/advisories/mfsa2016-03/
https://www.mozilla.org/en-US/security/advisories/mfsa2016-01/
https://www.mozilla.org/en-US/security/advisories/mfsa2015-150/

Re-CC'ing arches, please stabilize as follows:

mail-client/thunderbird-bin: Target KEYWORDS="amd64 x86"
mail-client/thunderbird: Target KEYWORDS="amd64 ppc ppc64 x86"
Comment 8 Toralf Förster gentoo-dev 2016-02-19 19:18:51 UTC
(In reply to Agostino Sarubbo from comment #5)
but just the -bin, not all {,-bin} packages, or ?
Comment 9 Ian Stakenvicius gentoo-dev 2016-02-19 19:49:49 UTC
(In reply to Toralf Förster from comment #8)
> (In reply to Agostino Sarubbo from comment #5)
> but just the -bin, not all {,-bin} packages, or ?

So far just firefox{,-bin} has been stabilized.  thunderbird is still outstanding (since I just added it).

Also FYI, firefox-bin-38.6.0 has been cleaned from the tree in favour firefox-bin-38.6.1.
Comment 10 Jeroen Roovers gentoo-dev 2016-02-24 10:02:57 UTC
Stable for PPC64.
Comment 11 Agostino Sarubbo gentoo-dev 2016-03-02 14:01:17 UTC
amd64 stable
Comment 12 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2016-03-14 08:13:32 UTC
Added to existing GLSA request.  Newer versions coming up so hopefully the pending stabilization on ppc catch up there.
Comment 13 GLSAMaker/CVETool Bot gentoo-dev 2016-03-14 08:17:23 UTC
CVE-2016-1949 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1949):
  Mozilla Firefox before 44.0.2 does not properly restrict the interaction
  between Service Workers and plugins, which allows remote attackers to bypass
  the Same Origin Policy via a crafted web site that triggers spoofed
  responses to requests that use NPAPI, as demonstrated by a request for a
  crossdomain.xml file.

CVE-2016-1948 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1948):
  Mozilla Firefox before 44.0 on Android does not ensure that HTTPS is used
  for a lightweight-theme installation, which allows man-in-the-middle
  attackers to replace a theme's images and colors by modifying the
  client-server data stream.

CVE-2016-1947 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1947):
  Mozilla Firefox 43.x mishandles attempts to connect to the Application
  Reputation service, which makes it easier for remote attackers to trigger an
  unintended download by leveraging the absence of reputation data.

CVE-2016-1946 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1946):
  The MoofParser::Metadata function in binding/MoofParser.cpp in
  libstagefright in Mozilla Firefox before 44.0 does not limit the size of
  read operations, which might allow remote attackers to cause a denial of
  service (integer overflow and buffer overflow) or possibly have unspecified
  other impact via crafted metadata.

CVE-2016-1945 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1945):
  The nsZipArchive function in Mozilla Firefox before 44.0 might allow remote
  attackers to cause a denial of service or possibly have unspecified other
  impact by leveraging incorrect use of a pointer during processing of a ZIP
  archive.

CVE-2016-1944 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1944):
  The Buffer11::NativeBuffer11::map function in ANGLE, as used in Mozilla
  Firefox before 44.0, might allow remote attackers to cause a denial of
  service (memory corruption) or possibly have unspecified other impact via
  unknown vectors.

CVE-2016-1943 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1943):
  Mozilla Firefox before 44.0 on Android allows remote attackers to spoof the
  address bar via the scrollTo method.

CVE-2016-1942 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1942):
  Mozilla Firefox before 44.0 allows user-assisted remote attackers to spoof a
  trailing substring in the address bar by leveraging a user's paste of a (1)
  wyciwyg: URI or (2) resource: URI.

CVE-2016-1941 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1941):
  The file-download dialog in Mozilla Firefox before 44.0 on OS X enables a
  certain button too quickly, which allows remote attackers to conduct
  clickjacking attacks via a crafted web site that triggers a single-click
  action in a situation where a double-click action was intended.

CVE-2016-1940 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1940):
  Mozilla Firefox before 44.0 on Android allows remote attackers to spoof the
  address bar via a data: URL that is mishandled during (1) shortcut opening
  or (2) BOOKMARK intent processing.

CVE-2016-1939 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1939):
  Mozilla Firefox before 44.0 stores cookies with names containing vertical
  tab characters, which allows remote attackers to obtain sensitive
  information by reading HTTP Cookie headers.  NOTE: this vulnerability exists
  because of an incomplete fix for CVE-2015-7208.

CVE-2016-1938 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1938):
  The s_mp_div function in lib/freebl/mpi/mpi.c in Mozilla Network Security
  Services (NSS) before 3.21, as used in Mozilla Firefox before 44.0,
  improperly divides numbers, which might make it easier for remote attackers
  to defeat cryptographic protection mechanisms by leveraging use of the (1)
  mp_div or (2) mp_exptmod function.

CVE-2016-1937 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1937):
  The protocol-handler dialog in Mozilla Firefox before 44.0 allows remote
  attackers to conduct clickjacking attacks via a crafted web site that
  triggers a single-click action in a situation where a double-click action
  was intended.

CVE-2016-1935 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1935):
  Buffer overflow in the BufferSubData function in Mozilla Firefox before 44.0
  and Firefox ESR 38.x before 38.6 allows remote attackers to execute
  arbitrary code via crafted WebGL content.

CVE-2016-1933 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1933):
  Integer overflow in the image-deinterlacing functionality in Mozilla Firefox
  before 44.0 allows remote attackers to cause a denial of service (memory
  consumption or application crash) via a crafted GIF image.

CVE-2016-1931 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1931):
  Multiple unspecified vulnerabilities in the browser engine in Mozilla
  Firefox before 44.0 allow remote attackers to cause a denial of service
  (memory corruption and application crash) or possibly execute arbitrary code
  via vectors related to uninitialized memory encountered during brotli data
  compression, and other vectors.

CVE-2016-1930 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2016-1930):
  Multiple unspecified vulnerabilities in the browser engine in Mozilla
  Firefox before 44.0 and Firefox ESR 38.x before 38.6 allow remote attackers
  to cause a denial of service (memory corruption and application crash) or
  possibly execute arbitrary code via unknown vectors.
Comment 14 GLSAMaker/CVETool Bot gentoo-dev 2016-05-31 05:55:21 UTC
This issue was resolved and addressed in
 GLSA 201605-06 at https://security.gentoo.org/glsa/201605-06
by GLSA coordinator Yury German (BlueKnight).